Package: org.codehaus.groovy.ast.stmt

## [Java] Class CatchStatement

- org.codehaus.groovy.ast.stmt.CatchStatement

- Represents a catch (Exception var) { } statement

  Authors:
    James Strachan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Statement` | `code`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CatchStatement (Parameter variable, Statement code)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Statement` | `getCode()`
    `` | `ClassNode` | `getExceptionType()`
    `` | `Parameter` | `getVariable()`
    `` | `void` | `setCode(Statement code)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, getConnection, isClosed, cancel, clearWarnings, getFetchDirection, getFetchSize, getWarnings, setFetchDirection, setFetchSize, getResultSet, addBatch, clearBatch, closeOnCompletion, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap, isWrapperFor`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Statement code

  - ### Constructor Detail

    - #### public CatchStatement(Parameter variable, Statement code)

  - ### Method Detail

    - #### public Statement getCode()

    - #### public ClassNode getExceptionType()

    - #### public Parameter getVariable()

    - #### public void setCode(Statement code)

    - #### public void visit(GroovyCodeVisitor visitor)